<?php
namespace ONLINE_ADA;

use ONLINE_ADA\Plugin;
use ONLINE_ADA\Helper;

if ( !defined( 'ABSPATH' ) ) exit;

/**
 * Include JS and CSS in the dashboard
 */
 function enqueue_admin_scripts(){

    wp_register_script("ada_plugin_script", Plugin::$instance->info["url"] . 'admin/assets/js/admin.js', array("jquery"), Plugin::$instance->info["version"] );
 	wp_localize_script(
		 "ada_plugin_script",
		 "ada_plugin",
		 array(
			"ajaxurl" => admin_url( "admin-ajax.php" ),
			"home_url" => home_url(),
			"site_url" => site_url(),
			"current_screen" => get_current_screen(),
			"license" => trim(get_option("accessibility-suite-pro-license")),
			"env" => Helper::get_env_vars(),
			"security" => wp_create_nonce('oadaas_security_nonce'),
			"chunkSize" => Plugin::$instance->info["chunkSize"],
			"dbRowLimit" => Plugin::$instance->info["db_row_limit"]
		)
	);
	wp_enqueue_script( 'ada_plugin_script' );
	wp_enqueue_style('ada_plugin', Plugin::$instance->info["url"] . 'admin/assets/css/admin.css', array(), Plugin::$instance->info["version"]);


	$current_screen = get_current_screen();
	
	$post = isset($_GET["post"]) ? sanitize_text_field($_GET["post"]) : "";
	if( $post && $current_screen->id == "wcag_scan"){
		wp_enqueue_style('grid', Plugin::$instance->info["url"] . 'admin/assets/css/grid.css', array(), Plugin::$instance->info["version"]);		
		$scan = new WCAG_Scan($post);
		if($scan->status == "complete"){
			wp_register_script("ada_plugin_scan_reports_script", Plugin::$instance->info["url"] . '/admin/assets/js/scan-reports-scripts-bundle.js', array("jquery"), Plugin::$instance->info["version"], true);
			wp_localize_script("ada_plugin_scan_reports_script", "oada_php_vars", ["scan_title" => get_post($_GET["post"])->post_title]);
			wp_enqueue_script('ada_plugin_scan_reports_script');

			wp_enqueue_style('ada_plugin_scan_reports_styles', Plugin::$instance->info["url"] . 'admin/assets/css/scan-reports-styles.css', array(), Plugin::$instance->info["version"]);

			wp_enqueue_style("elem-widget-scan-reports-fontawesome-css", "https://use.fontawesome.com/releases/v5.1.0/css/all.css", "1.0", true);

			wp_enqueue_style("ada_plugin_pagination_styles", Plugin::$instance->info["url"] . 'admin/assets/css/simplePagination.css', array(), Plugin::$instance->info["version"] );
		}
	}
 }
 
 add_action( 'admin_enqueue_scripts', __NAMESPACE__ . '\\enqueue_admin_scripts', 99999999 );

/**
 * Allow accessing the site with CSS disabled by adding ?nocss=1 to the URL
 */
function dequeue_stylesheets_nocss() {
	$nocss = isset($_GET['nocss']) ? sanitize_text_field($_GET['nocss']) : "";
	if ( $nocss && $nocss === "1" ) {

		global $wp_styles;

		if ( empty($wp_styles) ) return;

		if ( !empty($wp_styles->registered) ) foreach( $wp_styles->registered as $style ) {
			// Allow wp-admin styles
			wp_dequeue_style( $style->handle );
		}
	}
}
add_action( 'wp_enqueue_scripts', __NAMESPACE__. '\\dequeue_stylesheets_nocss', 9999999999999 );

